org.eclipse.viatra.transformation.evm.specific

## Class Jobs

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.Jobs

-     public final class Jobs
      extends java.lang.Object

  Provides static methods acting on or generating a `Job`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <EventAtom> Job<EventAtom>` | `newEnableJob(Job<EventAtom> job)`
    `static <EventAtom> Job<EventAtom>` | `newErrorLoggingJob(Job<EventAtom> job)`
    `static <EventAtom> Job<EventAtom>` | `newNopJob(ActivationState activationState)` Creates a `Job` that does not have any effect.
    `static <Match extends IPatternMatch> Job<Match>` | `newStatelessJob(CRUDActivationStateEnum cRUDActivationStateEnum, java.util.function.Consumer<Match> processor)` Creates a `StatelessJob` for the given state with the given processor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newStatelessJob

          public static <Match extends IPatternMatch> Job<Match> newStatelessJob(CRUDActivationStateEnum cRUDActivationStateEnum,
                                                                                 java.util.function.Consumer<Match> processor)

      Creates a `StatelessJob` for the given state with the given processor. A stateless job simply processes the match in the activation during execution.
      Parameters:
        `cRUDActivationStateEnum` -
        `processor` -
      Since:
        2.0

    - #### newNopJob

          public static final <EventAtom> Job<EventAtom> newNopJob(ActivationState activationState)

      Creates a `Job` that does not have any effect. Useful when you don't want to do anything for a given activation state but you want to fire. Consider using your own LifeCycle instead of Nop jobs!
      Parameters:
        `activationState` -

    - #### newEnableJob

          public static <EventAtom> Job<EventAtom> newEnableJob(Job<EventAtom> job)

    - #### newErrorLoggingJob

          public static <EventAtom> Job<EventAtom> newErrorLoggingJob(Job<EventAtom> job)